Crypto++ 8.2 Free C++ class library of cryptographic schemes

Classes | Public Member Functions | Static Public Member Functions | List of all members
PKCS1v15_SignatureMessageEncodingMethod Class Reference

PKCS #1 v1.5 Signature Encoding Scheme. More...

Inheritance diagram for PKCS1v15_SignatureMessageEncodingMethod:

## Classes
struct | HashIdentifierLookup

## Public Member Functions
size_t | MinRepresentativeBitLength (size_t hashIdentifierSize, size_t digestSize) const
void | ComputeMessageRepresentative (RandomNumberGenerator &rng, const byte *recoverableMessage, size_t recoverableMessageLength, HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
Public Member Functions inherited from PK_DeterministicSignatureMessageEncodingMethod
bool | VerifyMessageRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
Public Member Functions inherited from PK_SignatureMessageEncodingMethod
virtual size_t | MaxRecoverableLength (size_t representativeBitLength, size_t hashIdentifierLength, size_t digestLength) const
bool | IsProbabilistic () const
| Determines whether an encoding method requires a random number generator. More...
bool | AllowNonrecoverablePart () const
virtual bool | RecoverablePartFirst () const
virtual void | ProcessSemisignature (HashTransformation &hash, const byte *semisignature, size_t semisignatureLength) const
virtual void | ProcessRecoverableMessage (HashTransformation &hash, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *presignature, size_t presignatureLength, SecByteBlock &semisignature) const
virtual DecodingResult | RecoverMessageFromRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength, byte *recoveredMessage) const
virtual DecodingResult | RecoverMessageFromSemisignature (HashTransformation &hash, HashIdentifier hashIdentifier, const byte *presignature, size_t presignatureLength, const byte *semisignature, size_t semisignatureLength, byte *recoveredMessage) const

## Static Public Member Functions
static const char *CRYPTOPP_API | StaticAlgorithmName ()

## Detailed Description

PKCS #1 v1.5 Signature Encoding Scheme.

See also
  EMSA-PKCS1-v1_5

Definition at line 87 of file pkcspad.h.

The documentation for this class was generated from the following files:

- pkcspad.h
- pkcspad.cpp